﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;

namespace XDCSample4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<SolidColorBrush> colors = new List<SolidColorBrush>()
        {
            new SolidColorBrush(Colors.Orange),
            new SolidColorBrush(Colors.Yellow),
            new SolidColorBrush(Colors.Pink),
        };
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.createStripsInfoCollection();
        }

        private void createStripsInfoCollection()
        {
            ViewModel vm = this.DataContext as ViewModel;
            if(vm == null) {
                return;
            }
            for (int i = 0; i < vm.VerticalDepthValues.Count; i++)
            {
                StripInfo si = new StripInfo();
                
                si.StartY = vm.VerticalDepthValues[i].Depth;
                si.EndY = i == vm.VerticalDepthValues.Count - 1 ? vm.VerticalDepthValues[i].Depth : vm.VerticalDepthValues[i + 1].Depth;
                si.Fill = this.colors[i % 3];

                ChartBehaviors.GetChartStrips(porosityDataChart).Strips.Add(si);
            }
        }

    }
}
